<?
function hasStatusBit($old_status, $status)
{
    $result = true;
    $result = ($old_status & $status) && $result;
    return $result;
}
function getDaysInBetween($start, $end = null) {
            if ( null === $end ) $end = mktime(0, 0, 0, date('m'), date('d'), date('Y'));
            $day = 86400; // Day in seconds
            $format = 'Y-m-d'; // Output format (see PHP date funciton)
            $sTime = /*strtotime(*/$start/*)*/; // Start as time
            $eTime = /*strtotime(*/$end/*)*/; // End as time
            $numDays = round(($eTime - $sTime) / $day);
            $days = array();

            // Return days
            return abs($numDays) /*- 1*/;
        }

        $client = Cubix_Api_XmlRpc_Client::getInstance();
        
        $is_no_profile = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_NO_PROFILE);
        $is_profile_changed = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_PROFILE_CHANGED);
        $is_not_photos = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_NO_ENOUGH_PHOTOS);
        $is_admin_disabled = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_ADMIN_DISABLED);
        $is_owner_disabled = hasStatusBit($this->escort->status, Model_Escorts::ESCORT_STATUS_OWNER_DISABLED);


        // $is_no_profile = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_NO_PROFILE));
        // $is_profile_changed = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_PROFILE_CHANGED));
        // $is_not_photos = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_NO_ENOUGH_PHOTOS));
        // $is_admin_disabled = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_Escorts::ESCORT_STATUS_ADMIN_DISABLED));
        
        //$active_package = $client->call('Escorts.getActivePackage', array($this->escort->id));
        $package_queue = Cubix_Api::getInstance()->call('escorts.getActivePackagesExpiration', array($this->escort->id));
?>
<? if(!$is_owner_disabled): ?>
<div class="card-block top-status-block" style="display: none; padding: 0 20px;" >
<? else: ?>
<div class="card-block top-status-block" style="padding: 20px 0;">
<? endif; ?>
    <div class="alert <?= ($is_owner_disabled) ? 'alert-warning' : 'alert-success' ?>" role="alert">
        <span><?= __('attention_ad_disabled')?>
        </span>
        <label class="switch switch-text switch-success float-right mb-0 profile-status-top">
            <input <?= (!$is_owner_disabled) ? 'checked' : '' ?> id="profile-status-top"
                                                                 value="<?= (!$is_owner_disabled) ? 'disable' : 'enable' ?>"
                                                                 type="checkbox" class="switch-input">
            <span class="switch-label" data-on="On" data-off="Off"></span>
            <span class="switch-handle"></span>
        </label>
    </div>
</div>
<div class="row escort-dashboard d-flex">
    <p class="d-md-none text-center how-to-use"><?= __('manage_profile_tap_to_avatar')?></p>
    <div class="col-sm-12 views-block">
        <div class="card">
            <div class="card-header"><i class="fa fa-line-chart" aria-hidden="true"></i><?= __('views')?></div>
            <div class="card-block">
                <?
                $escort_views = json_decode($this->escort_views);
                if(!empty($escort_views)): ?>
                    <div id="container-chart" class="d-none d-md-block"></div>
                    <div id="container-chart-text" class="d-md-none">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th><?= __('date')?></th>
                                    <th><?= __('count')?></th>
                                </tr>
                            </thead>
                            <tbody class="escort-views">

                            </tbody>
                        </table>
                    </div>
                <?php else:?>
                    <div class="alert alert-warning" role="alert"> <p class="mb-0"><?= __('no_data_available_chart')?>.</p></div>
                <? endif; ?>
            </div>
        </div>
    </div>

    <div class="col-sm-12 col-md-6 d-none d-lg-block d-xl-block prices-block">
        <div class="card d-none">
            <div class="card-header">
                <i class="fa fa-cart-plus" aria-hidden="true"></i> <?= __('prices')?>
            </div>
            <div class="card-block">
                <h2 class="text-danger mb-0"><?= __('get_10_more_visits')?>!</h2>
                <p class="subtitle"><?= __('boost_your_profile')?></p>
                <p><?= __('boost_profile_notice',array('link'=>'<a target="_blank" href="https://www.paygate456.com/?lang=en">here</a>'))?></p>
                <div class="row">
                    <div class="col-lg-6 col-sm-6">
                        <div class="govazd-item">
                            <div class=" my-2 px-1 price"> &nbsp;</div>
                            <span class="day">15 <?= __('days')?></span>
                            <span class="price">20 <?= __('eur')?></span>

                            <div class="btn-buy d-flex justify-content-start my-2">
                                <a target="_blank" href="https://www.paygate456.com/?lang=en" class="btn btn-outline-primary rounded"><?= __('buy_now')?>!</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 col-sm-6">
                        <div class="govazd-item">
                            <div class="discount-flag my-2 px-1">10% <?= __('off')?></div>
                            <span class="day">1 <?= __('month')?></span>
                            <span class="price">36 <?= __('eur')?></span>

                            <div class="btn-buy d-flex justify-content-start my-2">
                                <a target="_blank" href="https://www.paygate456.com/?lang=en" class="btn btn-outline-primary rounded"><?= __('buy_now')?>!</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 col-sm-6">
                        <div class="govazd-item">
                            <div class="discount-flag my-2 px-1">25% <?= __('off')?></div>
                            <span class="day">2 <?= __('months')?></span>
                            <span class="price">60 <?= __('eur')?></span>

                            <div class="btn-buy d-flex justify-content-start my-2">
                                <a target="_blank" href="https://www.paygate456.com/?lang=en" class="btn btn-outline-primary rounded"><?= __('buy_now')?>!</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 col-sm-6"><div class="govazd-item">
                            <div class="discount-flag my-2 px-1">33% <?= __('off')?></div>
                            <span class="day">3 <?= __('months')?></span>
                            <span class="price">80 <?= __('eur')?></span>

                            <div class="btn-buy d-flex justify-content-start my-2">
                                <a target="_blank" href="https://www.paygate456.com/?lang=en" class="btn btn-outline-primary rounded"><?= __('buy_now')?>!</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <?php if( $is_no_profile || $is_profile_changed || $package_queue): ?>
        <div class="col-sm-12 notifications-block">
            <div class="card">
              <div class="card-header">
                  <i class="fa fa-bell"></i> <?= __('notifications')?>
              </div>
                <div class="card-block ">
                    <div class="dashboard-notifications">
                        <? if($this->escort->status & Cubix_EscortStatus::ESCORT_STATUS_TEMPRARY_DELETED): ?>
                             <span class="strong red"><?= __('account_will_be_remove_after',array('hours'=>ceil(  48 - (time() - strtotime($this->escort->deleted_date) + 60 )/3600 )))?></span>
                             <a class="disableButton" href="<?= $this->getLink('private-v2-escorts-restore') ?>"><?= __('restore') ?></a>
                         <? else: ?>
                            <? if ( $package_queue ): ?>
                              <?
                                //$expires_in = ($active_package['expiration_date']) ? getDaysInBetween(strtotime($active_package['expiration_date']), mktime(0, 0, 0, date('m'), date('d'), date('Y'))) : '-';
                                $expires_in = getDaysInBetween(strtotime($package_queue['active']['expiration_date']));
                              ?>
                               <? if ( $expires_in == 0 ): ?>
                                 <div class="alert alert-danger" role="alert">
                                     <?= __("pv2_alert_package_info_2", array('PACKAGE_NAME' => $package_queue['active']['name'], 'DAYS' => __('today'))) ?>
                                 </div>
                                <? else: ?>
                                   <div class="alert alert-danger" role="alert">
                                         <?= __("pv2_alert_package_info", array('PACKAGE_NAME' => $package_queue['active']['name'], 'DAYS' => $expires_in)) ?>
                                   </div>
                               <? endif; ?>
                               <? if ( $package_queue['after'] ): ?>
                                  <div class="alert alert-danger" role="alert">
                                       <?= __('pv2_alert_package_info_after', array('pkg_name' => $package_queue['after']['name'], 'pkg_period' => $package_queue['after']['period'])) ?>
                                  </div>
                               <? endif ?>
                            <? endif; ?>

                            <? if ( $is_no_profile && ! $is_profile_changed ): ?>
                               <div class="alert alert-danger" role="alert">
                                   <?= __('you_dont_have_profile_yet',array('link'=>'<a href="#" data-ajax-url="/private/profile#index">here</a>'))?>

                               </div>
                            <? elseif ( $is_profile_changed ): ?>
                               <div class="alert alert-danger" role="alert">
                                  <?= __('pv2_alert_profile_is_not_approved') ?>
                               </div>
                            <? elseif ( $is_admin_disabled ): ?>
                               <div class="alert alert-danger" role="alert">
                                  <?= __('pv2_alert_profile_admin_disabled') ?>
                               </div>
                            <? elseif ( $is_not_photos ): ?>
                               <div class="alert alert-danger" role="alert">
                                  <?= __('pv2_alert_profile_not_enough_photos') ?>
                               </div>
                            <? endif; ?>
                           
                          <? endif; ?>
                    </div>
                </div>
            </div>
        </div>
    <? endif; ?>
    <div class="col-sm-12 status-message-block">
        <div class="card">
            <div class="card-header">
                <i class="fa fa-comment-o" aria-hidden="true"></i> <?= __('status_message')?>
            </div>
            <div class="card-block instant-live-messages-block">
                <div class="col-12"><p class="d-md-none ">
<!--                        Share your todays mood, thoughts, feeling or wishes with the community! Just enter anything personal into the instant message box below - it will immediately show on your sedcard and througout the site and brings you much more attention!-->
                    <?= __('share_mood')?>
                    </p></div>
                <form id="instant-live-messages" action="">
                    <div class="form-group">
                        <div class="input-group">
                            <span class="input-group-addon d-none d-md-block"><i class="fa fa-commenting-o" aria-hidden="true"></i></span>
                            <input required="" type="text" name="text" id="bubble-text" class="form-control" value="<?= $this->bubble_text['text']?>">
                        </div>
                    </div>
                    <div class="text-right">
                        <button type="submit" class="btn btn-primary btn-lg rounded"><?= __('share')?></button>
                    </div>
                </form>
                <div id="instant-live-messages-alerts" class="mt-2 alert alert-warning d-none" role="alert">
                    <strong><?= __('notice')?>:</strong> <?= __('bubble_text_notification')?>!
                </div>

                <div id="instant-live-messages-alert-success" class="mt-2 alert alert-success d-none" role="alert">
                    <?= __('bubble_text_updated')?>
                </div>
            </div>
        </div>
    </div>

   

    <?php if( $this->escort->status == 67): ?>
        <div class="col-sm-12 col-md-6 d-none mobile-show profile-complete">
            <div class="card">
                <div class="card-header text-capitalize">
                    <i class="fa fa-id-card-o" aria-hidden="true"></i> <?= __('not_completed')?>
                </div>
                <div class="card-block">
                    <div class="alert alert-danger alert-profile-complete d-flex" role="alert">
                        <span><?= __('profile_not_completed')?>!</span>
                        <button class="btn btn-primary" data-ajax-url="/private/profile#index"><?= __('complete')?></button>
                    </div>
                </div>
            </div>
        </div>
    <?php endif;?>

<!--     <div class="col-sm-12 col-md-6">-->
<!--        <div class="card">-->
<!--            <div class="card-header">-->
<!--                <i class="fa fa-info-circle" aria-hidden="true"></i>-->
<!--                Additional information-->
<!--                <div class="small text-muted"></div>-->
<!--            </div>-->
<!--            <div class="card-block">-->
<!--                <div class="alert alert-warning" role="alert">-->
<!--                  --><?//= __('att_photos_count') ?>
<!--                </div>-->
<!--                <div class="alert alert-success" role="alert">-->
<!--                  --><?//= __('tip_text') ?>
<!--                </div>-->
<!--           </div>-->
<!--        </div>-->
<!--    </div>-->
    <!--/.col-->
</div>

<div class="d-md-none  quick-links-block">
    <div class="card">
        <div class="card-header">
            <i class="fa fa-rocket" aria-hidden="true"></i> <?= __('quick_links')?>
        </div>
        <div class="card-block ">
            <div class="d-flex flex-column">
<!--                <a target="_blank"  class="btn btn-lg btn-primary mb-1 rounded" href="--><?//= $this->GetLink('advertise') ?><!--">--><?//= __('premium_advertising')?><!--</a>-->
                <a data-ajax-url="/private/profile#index" class="btn btn-lg btn-primary mb-1 rounded" href=""><?= __('edit_profile')?></a>
                <a data-ajax-url="/private/verify#idcard" class="btn btn-lg btn-primary mb-1 rounded" href=""><?= __('verify_your_photos');?></a>
                <?php if(empty($this->hasVideo[0])):?>
                    <a data-ajax-url="/private/profile#gallery" class="btn btn-lg btn-primary mb-1 rounded" href=""><?= __('upload_videos')?></a>
                <?php endif;?>
            </div>
        </div>
    </div>
</div>

<script>

    var data = JSON.parse('<?= $this->escort_views?>');

    if(data && data.length > 0) {
        var highcart_data = data.map(function (value) {
            var date = value.date.split('-');
            // date[1] - 1 becauese in js month started from 0
            return [Date.UTC(date[0],date[1] - 1,date[2]),value.count]
        });

        //Highchart for desktop
        Highcharts.chart('container-chart', {
            title: {
                text: '<?= __('your_views_in_last_week');?>'
            },
            xAxis: {
                type: 'datetime',
                dateTimeLabelFormats: {
                    day: '%e.%m'
                }
            },
            tooltip: {
                formatter: function () {
                    return '<b> <?= __('views')?> '+ this.y +'</b>';
                }
            },

            yAxis: {
                title: {
                    text: null
                }
            },

            series: [{
                name: 'Views',
                data: highcart_data,
            }]
        });

        //Show views for mobile
        $.each(data,function (i , row) {
           $('#container-chart-text .escort-views')
               .append(`<tr><td>${row.date}</td><td>${row.count} Views</td></tr></p>`)
        });
    }
</script>

